commit f9d108be074048a73881d860bc32d5a1c408dd7c
Author: Pavel Fidransky <pavel.fidransky@yoso.fi>
Date:   Sat Jun 27 14:58:39 2020 +0200

    re #32 rename classes returned from webservices to have -DTO suffix

diff --git a/server/src/main/java/org/danekja/ymanager/business/ApiManager.java b/server/src/main/java/org/danekja/ymanager/business/ApiManager.java
index 31f06c8..e5c8994 100644
--- a/server/src/main/java/org/danekja/ymanager/business/ApiManager.java
+++ b/server/src/main/java/org/danekja/ymanager/business/ApiManager.java
@@ -49,7 +49,7 @@ public class ApiManager implements Manager {
 
     @Override
     @IsEmployer
-    public List<VacationRequest> getVacationRequests(Status status) {
+    public List<VacationRequestDTO> getVacationRequests(Status status) {
         if (status == null) {
             return requestRepository.getAllVacationRequests();
         } else {
@@ -59,7 +59,7 @@ public class ApiManager implements Manager {
 
     @Override
     @IsEmployer
-    public List<AuthorizationRequest> getAuthorizationRequests(Status status) {
+    public List<AuthorizationRequestDTO> getAuthorizationRequests(Status status) {
         if (status == null) {
             return requestRepository.getAllAuthorizations();
         } else {
@@ -75,8 +75,8 @@ public class ApiManager implements Manager {
 
     @Override
     @IsOwner
-    public List<VacationDay> getUserCalendar(long userId, LocalDate fromDate, LocalDate toDate, Status status) {
-        List<VacationDay> vacations;
+    public List<VacationDayDTO> getUserCalendar(long userId, LocalDate fromDate, LocalDate toDate, Status status) {
+        List<VacationDayDTO> vacations;
         if (status == null && toDate == null) {
             vacations = vacationRepository.getVacationDays(userId, fromDate);
         } else if (status == null) {
@@ -101,24 +101,24 @@ public class ApiManager implements Manager {
 
     @Override
     @IsOwner
-    public void createVacation(long userId, VacationDay vacationDay) {
-        if (vacationDay.getDate().isBefore(LocalDate.now())) {
+    public void createVacation(long userId, VacationDayDTO vacationDayDTO) {
+        if (vacationDayDTO.getDate().isBefore(LocalDate.now())) {
             throw new ResponseStatusException(HttpStatus.BAD_REQUEST, "Vacation cannot be token in past.");
         }
 
-        if (vacationRepository.isExistVacationForUser(userId, vacationDay.getDate())) {
+        if (vacationRepository.isExistVacationForUser(userId, vacationDayDTO.getDate())) {
             throw new ResponseStatusException(HttpStatus.BAD_REQUEST, "Cannot take a double vacation for the same day.");
         }
 
         User user = userRepository.getUser(userId);
-        vacationDay.setStatus(user.getRole() == UserRole.EMPLOYER ? Status.ACCEPTED : Status.PENDING);
+        vacationDayDTO.setStatus(user.getRole() == UserRole.EMPLOYER ? Status.ACCEPTED : Status.PENDING);
 
         Vacation vacation = new Vacation();
-        vacation.setDate(vacationDay.getDate());
-        vacation.setFrom(vacationDay.getFrom());
-        vacation.setTo(vacationDay.getTo());
-        vacation.setStatus(vacationDay.getStatus());
-        vacation.setType(vacationDay.getType());
+        vacation.setDate(vacationDayDTO.getDate());
+        vacation.setFrom(vacationDayDTO.getFrom());
+        vacation.setTo(vacationDayDTO.getTo());
+        vacation.setStatus(vacationDayDTO.getStatus());
+        vacation.setType(vacationDayDTO.getType());
 
         if (vacation.getType() == VacationType.VACATION) {
             user.takeVacation(vacation.getFrom(), vacation.getTo());
@@ -130,7 +130,7 @@ public class ApiManager implements Manager {
         userRepository.updateUser(user);
     }
 
-    private void changeSettingsByEmployee(User user, UserSettings settings, DefaultSettings defaultSettings) {
+    private void changeSettingsByEmployee(User user, UserSettingsDTO settings, DefaultSettings defaultSettings) {
         if (settings.getNotification() != null && !settings.getNotification().equals(user.getNotification())) {
             user.setNotification(settings.getNotification());
         }
@@ -140,7 +140,7 @@ public class ApiManager implements Manager {
         }
     }
 
-    private void changeSettingsByEmployer(User user, UserSettings settings, DefaultSettings defaultSettings) {
+    private void changeSettingsByEmployer(User user, UserSettingsDTO settings, DefaultSettings defaultSettings) {
 
         if (settings.getRole() != null && !settings.getRole().equals(user.getRole())) {
             user.setRole(settings.getRole());
@@ -172,7 +172,7 @@ public class ApiManager implements Manager {
 
     @Override
     @IsOwner
-    public void changeSettings(long userId, UserSettings settings) {
+    public void changeSettings(long userId, UserSettingsDTO settings) {
         UserRole invokedUserPermission = authService.getCurrentUser().getRole();
         boolean invokedUserIsAdmin = invokedUserPermission.equals(UserRole.EMPLOYER);
         DefaultSettings defaultSettings = getDefaultSettings();
@@ -191,20 +191,20 @@ public class ApiManager implements Manager {
     @Override
     //TODO not called anyway, allow after reimplementation
     @DenyAll
-    public void changeVacation(VacationDay vacationDay) {
-        Optional<Vacation> vacation = vacationRepository.getVacationDay(vacationDay.getId());
+    public void changeVacation(VacationDayDTO vacationDayDTO) {
+        Optional<Vacation> vacation = vacationRepository.getVacationDay(vacationDayDTO.getId());
         if (vacation.isPresent()) {
-            vacation.get().setDate(vacationDay.getDate());
-            vacation.get().setStatus(vacationDay.getStatus());
-            vacation.get().setType(vacationDay.getType());
-            vacation.get().setTime(vacationDay.getFrom(), vacationDay.getTo());
+            vacation.get().setDate(vacationDayDTO.getDate());
+            vacation.get().setStatus(vacationDayDTO.getStatus());
+            vacation.get().setType(vacationDayDTO.getType());
+            vacation.get().setTime(vacationDayDTO.getFrom(), vacationDayDTO.getTo());
             vacationRepository.updateVacationDay(vacation.get());
         }
     }
 
     @Override
     @IsEmployer
-    public void changeRequest(RequestType type, BasicRequest request) {
+    public void changeRequest(RequestType type, BasicRequestDTO request) {
         switch (type) {
             case VACATION:
                 Optional<Vacation> vacationDayOpt = vacationRepository.getVacationDay(request.getId());
diff --git a/server/src/main/java/org/danekja/ymanager/business/Manager.java b/server/src/main/java/org/danekja/ymanager/business/Manager.java
index 85d967e..c56fa45 100644
--- a/server/src/main/java/org/danekja/ymanager/business/Manager.java
+++ b/server/src/main/java/org/danekja/ymanager/business/Manager.java
@@ -11,23 +11,23 @@ import java.util.List;
 public interface Manager {
 
 
-    List<VacationRequest> getVacationRequests(Status status);
+    List<VacationRequestDTO> getVacationRequests(Status status);
 
-    List<AuthorizationRequest> getAuthorizationRequests(Status status);
+    List<AuthorizationRequestDTO> getAuthorizationRequests(Status status);
 
     DefaultSettings getDefaultSettings();
 
-    List<VacationDay> getUserCalendar(long userId, LocalDate fromDate, LocalDate toDate, Status status);
+    List<VacationDayDTO> getUserCalendar(long userId, LocalDate fromDate, LocalDate toDate, Status status);
 
     void createSettings(DefaultSettings settings);
 
-    void createVacation(long userId, VacationDay vacationDay);
+    void createVacation(long userId, VacationDayDTO vacationDayDTO);
 
-    void changeSettings(long userId, UserSettings settings);
+    void changeSettings(long userId, UserSettingsDTO settings);
 
-    void changeVacation(VacationDay vacationDay);
+    void changeVacation(VacationDayDTO vacationDayDTO);
 
-    void changeRequest(RequestType type, BasicRequest request);
+    void changeRequest(RequestType type, BasicRequestDTO request);
 
     void deleteVacation(long vacationId);
 }
diff --git a/server/src/main/java/org/danekja/ymanager/business/UserManager.java b/server/src/main/java/org/danekja/ymanager/business/UserManager.java
index faa6d7b..65391e5 100644
--- a/server/src/main/java/org/danekja/ymanager/business/UserManager.java
+++ b/server/src/main/java/org/danekja/ymanager/business/UserManager.java
@@ -3,7 +3,7 @@ package org.danekja.ymanager.business;
 import org.danekja.ymanager.domain.GoogleUser;
 import org.danekja.ymanager.domain.Status;
 import org.danekja.ymanager.domain.User;
-import org.danekja.ymanager.dto.BasicProfileUser;
+import org.danekja.ymanager.dto.BasicProfileUserDTO;
 import org.springframework.security.oauth2.core.oidc.OidcIdToken;
 
 import java.util.List;
@@ -21,7 +21,7 @@ public interface UserManager {
      * @param status status filter value
      * @return list of users or empty list if none found
      */
-    List<BasicProfileUser> getUsers(Status status);
+    List<BasicProfileUserDTO> getUsers(Status status);
 
     /**
      * Gets user by id (PK)
diff --git a/server/src/main/java/org/danekja/ymanager/business/impl/DefaultUserManager.java b/server/src/main/java/org/danekja/ymanager/business/impl/DefaultUserManager.java
index 64ebc39..e1129df 100644
--- a/server/src/main/java/org/danekja/ymanager/business/impl/DefaultUserManager.java
+++ b/server/src/main/java/org/danekja/ymanager/business/impl/DefaultUserManager.java
@@ -4,7 +4,7 @@ import org.danekja.ymanager.business.UserManager;
 import org.danekja.ymanager.business.auth.anot.IsEmployer;
 import org.danekja.ymanager.business.auth.anot.IsOwner;
 import org.danekja.ymanager.domain.*;
-import org.danekja.ymanager.dto.BasicProfileUser;
+import org.danekja.ymanager.dto.BasicProfileUserDTO;
 import org.danekja.ymanager.repository.SettingsRepository;
 import org.danekja.ymanager.repository.UserRepository;
 import org.danekja.ymanager.repository.VacationRepository;
@@ -60,13 +60,13 @@ public class DefaultUserManager implements UserManager {
 
     @Override
     @IsEmployer
-    public List<BasicProfileUser> getUsers(Status status) {
-        List<BasicProfileUser> users = userRepository.getAllBasicUsers(status == null ? Status.ACCEPTED : status);
+    public List<BasicProfileUserDTO> getUsers(Status status) {
+        List<BasicProfileUserDTO> users = userRepository.getAllBasicUsers(status == null ? Status.ACCEPTED : status);
 
         LocalDate today = LocalDate.now();
         LocalDate weekBefore = today.minusWeeks(1);
         LocalDate weekAfter = today.plusWeeks(1);
-        for (BasicProfileUser user : users) {
+        for (BasicProfileUserDTO user : users) {
             user.setCalendar(vacationRepository.getVacationDays(user.getId(), weekBefore, weekAfter));
         }
 
diff --git a/server/src/main/java/org/danekja/ymanager/dto/AuthorizationRequestDTO.java b/server/src/main/java/org/danekja/ymanager/dto/AuthorizationRequestDTO.java
new file mode 100644
index 0000000..edd3a29
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/AuthorizationRequestDTO.java
@@ -0,0 +1,127 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.Status;
+
+import java.time.LocalDateTime;
+
+/**
+ * An instance of the messenger class {@code AuthorizationRequest} is just a different view of a user.
+ * It stores information relevant to a user's authorization in the application.
+ * This class is used to communication with a frontend.
+ */
+public class AuthorizationRequestDTO {
+    /**
+     * The user's ID.
+     */
+    private Long id;
+
+    /**
+     * The user's first name.
+     */
+    private String firstName;
+
+    /**
+     * The user's last name.
+     */
+    private String lastName;
+
+    /**
+     * The user's authorization status.
+     */
+    private Status status;
+
+    /**
+     * The date and time of a creation of this request.
+     */
+    private LocalDateTime timestamp;
+
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
+    public String getFirstName() {
+        return this.firstName;
+    }
+
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
+        this.firstName = firstName;
+    }
+
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
+    public String getLastName() {
+        return this.lastName;
+    }
+
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
+        this.lastName = lastName;
+    }
+
+    /**
+     * Returns the user's authorization status.
+     *
+     * @return the user's authorization status
+     */
+    public Status getStatus() {
+        return this.status;
+    }
+
+    /**
+     * Replaces the authorization status with the handed value.
+     *
+     * @param status the new authorization status
+     */
+    public void setStatus(final Status status) {
+        this.status = status;
+    }
+
+    /**
+     * Returns the date and time of a creation of this user's request.
+     *
+     * @return the date and time of the creation of this user's request
+     */
+    public LocalDateTime getTimestamp() {
+        return this.timestamp;
+    }
+
+    /**
+     * Replaces the date and time of a creation of this user's request with the given value.
+     *
+     * @param timestamp the new date and time of the creation of this user's request
+     */
+    public void setTimestamp(final LocalDateTime timestamp) {
+        this.timestamp = timestamp;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/dto/BasicProfileUserDTO.java b/server/src/main/java/org/danekja/ymanager/dto/BasicProfileUserDTO.java
new file mode 100644
index 0000000..bd3312c
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/BasicProfileUserDTO.java
@@ -0,0 +1,125 @@
+package org.danekja.ymanager.dto;
+
+import java.util.List;
+
+/**
+ * An instance of the messenger class {@code BasicProfileUser} represents a basic profile of a user in a database.
+ * The basic profile contains default, the most important informations which helps identify a user like a name or photo.
+ * This class is used to communicate with a frontend.
+ */
+public class BasicProfileUserDTO {
+    /**
+     * The user's ID.
+     */
+    private Long id;
+
+    /**
+     * The user's first name.
+     */
+    private String firstName;
+
+    /**
+     * The user's last name.
+     */
+    private String lastName;
+
+    /**
+     * The URL of a user's photo.
+     */
+    private String photo;
+
+    /**
+     * The list of user's vacations.
+     */
+    private List<VacationDayDTO> calendar;
+
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
+    public String getFirstName() {
+        return this.firstName;
+    }
+
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
+        this.firstName = firstName;
+    }
+
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
+    public String getLastName() {
+        return this.lastName;
+    }
+
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
+        this.lastName = lastName;
+    }
+
+    /**
+     * Returns the URL of a user's photo.
+     *
+     * @return the URL of the user's photo
+     */
+    public String getPhoto() {
+        return this.photo;
+    }
+
+    /**
+     * Replaces the URL of a user's photo with the given link.
+     *
+     * @param photo the new URL of the user's photo
+     */
+    public void setPhoto(final String photo) {
+        this.photo = photo;
+    }
+
+    /**
+     * Returns the list of user's vacations.
+     *
+     * @return the list of user's vacations
+     */
+    public List<VacationDayDTO> getCalendar() {
+        return this.calendar;
+    }
+
+    /**
+     * Replaces the list of user's vacations with the given list.
+     *
+     * @param calendar the new list of vacations
+     */
+    public void setCalendar(final List<VacationDayDTO> calendar) {
+        this.calendar = calendar;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/dto/BasicRequestDTO.java b/server/src/main/java/org/danekja/ymanager/dto/BasicRequestDTO.java
new file mode 100644
index 0000000..bdd2ff5
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/BasicRequestDTO.java
@@ -0,0 +1,56 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.Status;
+
+/**
+ * An instance of the messenger class {@code BasicRequest} can represent an authorization or a vacation request.
+ * The class is used for changing a status of the authorization or the vacation request when a client sends a request on an api endpoint.
+ * This class is used to communicate with a frontend.
+ */
+public class BasicRequestDTO {
+    /**
+     * The ID of this request.
+     */
+    private Long id;
+
+    /**
+     * The approval/authorization status of this request.
+     */
+    private Status status;
+
+    /**
+     * Returns the ID of this request.
+     *
+     * @return the ID of this request
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the approval/authorization status of this request.
+     *
+     * @return the approval status of this vacation
+     */
+    public Status getStatus() {
+        return this.status;
+    }
+
+    /**
+     * Replaces the approval/authorization status of this request with the given value.
+     *
+     * @param status the new approval/authorization status
+     */
+    public void setStatus(final Status status) {
+        this.status = status;
+    }
+}
diff --git a/server/src/main/java/org/danekja/ymanager/dto/DefaultSettingsDTO.java b/server/src/main/java/org/danekja/ymanager/dto/DefaultSettingsDTO.java
new file mode 100644
index 0000000..e6591ee
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/DefaultSettingsDTO.java
@@ -0,0 +1,75 @@
+package org.danekja.ymanager.dto;
+
+import java.time.LocalDateTime;
+
+/**
+ * The messenger class {@code DefaultSettings} contains default settings of users' informations that are known to the application.
+ * Informations consist of a number of available sick days, date and time of an email notification.
+ * Default settings are mainly used when the user is added to the application which means he/she can't have his/her own values.
+ * This class is used to communicate with a frontend.
+ */
+public class DefaultSettingsDTO {
+    /**
+     * The default number of available sick days.
+     */
+    private Integer sickDayCount;
+
+    /**
+     * The default date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     */
+    private LocalDateTime notification;
+
+    public DefaultSettingsDTO() {
+    }
+
+    public DefaultSettingsDTO(Integer sickDayCount, LocalDateTime notification) {
+        this.sickDayCount = sickDayCount;
+        this.notification = notification;
+    }
+
+    public DefaultSettingsDTO(org.danekja.ymanager.domain.DefaultSettings src) {
+        this.sickDayCount = src.getSickDayCount();
+        this.notification = src.getNotification();
+    }
+
+    /**
+     * Returns the default number of available sick days in this default settings.
+     *
+     * @return the default number of available sick days
+     */
+    public Integer getSickDayCount() {
+        return this.sickDayCount;
+    }
+
+    /**
+     * Replaces the default number of available sick days in this default settings with the given one.
+     *
+     * @param sickDayCount the new default number of available sick days
+     */
+    public void setSickDayCount(final Integer sickDayCount) {
+        this.sickDayCount = sickDayCount;
+    }
+
+    /**
+     * Returns the default date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     *
+     * @return the default date and time
+     */
+    public LocalDateTime getNotification() {
+        return this.notification;
+    }
+
+    /**
+     * Replaces the default date and time of sending an email warning about an incoming reset of remaining overtimes and sick days with the specified one.
+     *
+     * @param notification the new default date and time
+     */
+    public void setNotification(final LocalDateTime notification) {
+        this.notification = notification;
+    }
+
+    public org.danekja.ymanager.domain.DefaultSettings toEntity() {
+        return new org.danekja.ymanager.domain.DefaultSettings(getSickDayCount(), getNotification());
+    }
+}
+
diff --git a/server/src/main/java/org/danekja/ymanager/dto/FullUserProfileDTO.java b/server/src/main/java/org/danekja/ymanager/dto/FullUserProfileDTO.java
new file mode 100644
index 0000000..f8cbda0
--- /dev/null
+++ b/server/src/main/java/org/danekja/ymanager/dto/FullUserProfileDTO.java
@@ -0,0 +1,287 @@
+package org.danekja.ymanager.dto;
+
+import org.danekja.ymanager.domain.Status;
+import org.danekja.ymanager.domain.User;
+import org.danekja.ymanager.domain.UserRole;
+
+import java.time.LocalDateTime;
+
+/**
+ * The messenger class {@code FullUserProfile} holds all informations about a user which is logged to the application.
+ * This class is used to communicate with a frontend.
+ */
+public class FullUserProfileDTO {
+    /**
+     * The user's ID.
+     */
+    private Long id;
+
+    /**
+     * The user's first name.
+     */
+    private String firstName;
+
+    /**
+     * The user's last name.
+     */
+    private String lastName;
+
+    /**
+     * The URL of a user's photo.
+     */
+    private String photo;
+
+    /**
+     * The number of user's remaining hours of an overtime.
+     */
+    private Float vacationCount;
+
+    /**
+     * The number of user's sick days available during a year.
+     */
+    private Integer sickDayCount;
+
+    /**
+     * The number of user's taken sick days.
+     */
+    private Integer takenSickDayCount;
+
+    /**
+     * The user's authorization status.
+     */
+    private Status status;
+
+    /**
+     * The user's role.
+     */
+    private UserRole role;
+
+    /**
+     * The date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     */
+    private LocalDateTime notification;
+
+    /**
+     * The user's email address.
+     */
+    private String email;
+
+    public FullUserProfileDTO() {
+    }
+
+    public FullUserProfileDTO(User user) {
+        this(user.getId(), user.getFirstName(), user.getLastName(), user.getPhoto(), user.getVacationCount(), user.getTotalSickDayCount(), user.getTakenSickDayCount(), user.getStatus(), user.getRole(), user.getNotification(), user.getEmail());
+    }
+
+    public FullUserProfileDTO(Long id, String firstName, String lastName, String photo, Float vacationCount, Integer sickDayCount, Integer takenSickDayCount, Status status, UserRole role, LocalDateTime notification, String email) {
+        this.id = id;
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.photo = photo;
+        this.vacationCount = vacationCount;
+        this.sickDayCount = sickDayCount;
+        this.takenSickDayCount = takenSickDayCount;
+        this.status = status;
+        this.role = role;
+        this.notification = notification;
+        this.email = email;
+    }
+
+    /**
+     * Returns the user's email address.
+     *
+     * @return the user's email address
+     */
+    public String getEmail() {
+        return this.email;
+    }
+
+    /**
+     * Replaces the user's email address with the new given value.
+     *
+     * @param email the new email address
+     */
+    public void setEmail(final String email) {
+        this.email = email;
+    }
+
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
+    public Long getId() {
+        return this.id;
+    }
+
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
+        this.id = id;
+    }
+
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
+    public String getFirstName() {
+        return this.firstName;
+    }
+
+    /**
+     * Returns the number of user's taken sick days.
+     *
+     * @return the number of user's taken sick days
+     */
+    public Integer getTakenSickDayCount() {
+        return this.takenSickDayCount;
+    }
+
+    /**
+     * Replaces the number of user's taken sick days with the new value.
+     *
+     * @param takenSickDayCount the new number of taken sick days
+     */
+    public void setTakenSickDayCount(final Integer takenSickDayCount) {
+        this.takenSickDayCount = takenSickDayCount;
+    }
+
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
+        this.firstName = firstName;
+    }
+
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
+    public String getLastName() {
+        return this.lastName;
+    }
+
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
+        this.lastName = lastName;
+    }
+
+    /**
+     * Returns the URL of a user's photo.
+     *
+     * @return the URL of the user's photo
+     */
+    public String getPhoto() {
+        return this.photo;
+    }
+
+    /**
+     * Replaces the URL of a user's photo with the given link.
+     *
+     * @param photo the new URL of the user's photo
+     */
+    public void setPhoto(final String photo) {
+        this.photo = photo;
+    }
+
+    /**
+     * Returns the number of user's remaining hours of an overtime.
+     *
+     * @return the number of user's remaining hours of the overtime
+     */
+    public Float getVacationCount() {
+        return this.vacationCount;
+    }
+
+    /**
+     * Replaces the number of user's remaining hours of an overtime with the specified value.
+     *
+     * @param vacationCount the new number of remaining hours of the overtime.
+     */
+    public void setVacationCount(final Float vacationCount) {
+        this.vacationCount = vacationCount;
+    }
+
+    /**
+     * Returns the number of user's sick days available during a year.
+     *
+     * @return the number of user's sick days available during the year
+     */
+    public Integer getSickDayCount() {
+        return this.sickDayCount;
+    }
+
+    /**
+     * Replaces the number of user's sick days available during a year with the new value.
+     *
+     * @param sickDayCount the new number of sick days available during the year
+     */
+    public void setSickDayCount(final Integer sickDayCount) {
+        this.sickDayCount = sickDayCount;
+    }
+
+    /**
+     * Returns the user's authorization status.
+     *
+     * @return the user's authorization status
+     */
+    public Status getStatus() {
+        return this.status;
+    }
+
+    /**
+     * Replaces the authorization status with the handed value.
+     *
+     * @param status the new authorization status
+     */
+    public void setStatus(final Status status) {
+        this.status = status;
+    }
+
+    /**
+     * Returns the user's role.
+     *
+     * @return the user's role
+     */
+    public UserRole getRole() {
+        return this.role;
+    }
+
+    /**
+     * Replaces the user's role with the new provided value.
+     *
+     * @param role the new role
+     */
+    public void setRole(final UserRole role) {
+        this.role = role;
+    }
+
+    /**
+     * Returns the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     *
+     * @return the date and time
+     */
+    public LocalDateTime getNotification() {
+        return this.notification;
+    }
+
+    /**
+     * Replaces the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days with the given value.
+     *
+     * @param notification the new date and time
+     */
+    public void setNotification(final LocalDateTime notification) {
+        this.notification = notification;
+    }
+}
\ No newline at end of file
